com.brightcove.player.concurrency

## Class HeartbeatTask

- java.lang.Object
- - android.os.AsyncTask<java.net.URI,java.lang.Void,HttpResponse>
  - - com.brightcove.player.concurrency.HeartbeatTask

- Direct Known Subclasses:
    ActiveSessionsGetterTask, HeartbeatStarterTask, HeartbeatStopperTask

      public abstract class HeartbeatTask
      extends android.os.AsyncTask<java.net.URI,java.lang.Void,HttpResponse>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `android.os.AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HttpRequestConfig` | `httpRequestConfig`
    `protected HttpService` | `httpService`
    `protected com.brightcove.player.concurrency.ConcurrencyNetworkConnector.HeartbeatListener` | `listener`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeartbeatTask(HttpRequestConfig httpRequestConfig, com.brightcove.player.concurrency.ConcurrencyNetworkConnector.HeartbeatListener listener)`

  - ### Method Summary

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, doInBackground, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPostExecute, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### httpService

          protected final HttpService httpService

    - #### httpRequestConfig

          protected final HttpRequestConfig httpRequestConfig

    - #### listener

          protected final com.brightcove.player.concurrency.ConcurrencyNetworkConnector.HeartbeatListener listener

  - ### Constructor Detail

    - #### HeartbeatTask

          public HeartbeatTask(HttpRequestConfig httpRequestConfig,
                               com.brightcove.player.concurrency.ConcurrencyNetworkConnector.HeartbeatListener listener)